com.dlsc.flexgantt.swing.layer

## Interface ILayerFactory

- All Known Implementing Classes:
    DefaultLayerFactory, MacLayerFactory

      public interface ILayerFactory

  Layer factories are used by layer containers in order to create the actual user interface components for the various system layers, object layers, and custom layers.
  Since:
    1.0
  Version:
    $Revision: 1.5 $
  Author:
    Dirk Lemmermann

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AbstractCustomLayer` | `createCustomLayer(LayerContainer lc, ILayer layer)` Creates a new custom layer to be used for rendering custom information.
    `<T extends AbstractSystemLayer> T` | `createSystemLayer(LayerContainer lc, Class<T> layerType)` Creates a new system layer.
    `TimelineObjectLayer` | `createTimelineLayer(LayerContainer lc, ILayer layer)` Creates a new timeline object layer to be used for rendering timeline objects.

- - ### Method Detail

    - #### createSystemLayer

          <T extends AbstractSystemLayer> T createSystemLayer(LayerContainer lc,
                                                              Class<T> layerType)

      Creates a new system layer. The creation of all system layer types must be supported (all subclasses of `AbstractSystemLayer`).
      Type Parameters:
        `T` - the type of the system layer
      Parameters:
        `lc` - the layer container, which will manage the layer
        `layerType` - the system layer class
      Returns:
        a system layer user interface component
      Since:
        1.0

    - #### createTimelineLayer

          TimelineObjectLayer createTimelineLayer(LayerContainer lc,
                                                  ILayer layer)

      Creates a new timeline object layer to be used for rendering timeline objects.
      Parameters:
        `lc` - the layer container, which will manage the layer
        `layer` - the layer model information
      Returns:
        either a timeline layer or a custom layer
      Since:
        1.0
      See Also:
        `createCustomLayer(LayerContainer, ILayer)`

    - #### createCustomLayer

          AbstractCustomLayer createCustomLayer(LayerContainer lc,
                                                ILayer layer)

      Creates a new custom layer to be used for rendering custom information.
      Parameters:
        `lc` - the layer container, which will manage the layer
        `layer` - the layer model information
      Returns:
        a custom layer
      Since:
        1.0
      See Also:
        `ILayer.isCustomLayer()`

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.